VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ISharedUIResources Class Referenceabstract
Standalone Library

Shared UI resources interface. More...

`#include <ishareduiresources.h>`

Inheritance diagram for ISharedUIResources:

## Public Member Functions
virtual Optional< CColor > | getColor (const UTF8String &name) const =0
| get shared color.
virtual Optional< CBitmap * > | getBitmap (const UTF8String &name) const =0
| get shared bitmap.
virtual Optional< CGradient * > | getGradient (const UTF8String &name) const =0
| get shared gradient.
virtual Optional< CFontDesc * > | getFont (const UTF8String &name) const =0
| get shared font.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Detailed Description

Shared UI resources interface.

## Member Function Documentation

## ◆ getBitmap()

virtual Optional< CBitmap * > getBitmap | ( | const UTF8String & | name | ) | const
| pure virtual

get shared bitmap.

## ◆ getColor()

virtual Optional< CColor > getColor | ( | const UTF8String & | name | ) | const
| pure virtual

get shared color.

## ◆ getFont()

virtual Optional< CFontDesc * > getFont | ( | const UTF8String & | name | ) | const
| pure virtual

get shared font.

## ◆ getGradient()

virtual Optional< CGradient * > getGradient | ( | const UTF8String & | name | ) | const
| pure virtual

get shared gradient.

The documentation for this class was generated from the following file:

- ishareduiresources.h